/*\t*******************************************************************
   Creation Date .......  Mon  06-06-1994  09:55:04
   Filename  ...........  penwin.cpp
   Project .............  Utilities
   Author  .............  Matthew J. W. Ratcliff
   Language  ...........  C or C++
   Operating System  ...  UNIX or DOS or Windows or ANY ...
   Prefix ..............  PEA - Pentium bug check app.
   Function:
 **\t******************************************************************/

/*\r********************** Revision History ****************************
   Date    By           Change Description
dd-mmm-yy  nnn          text
---------  ----         -----------------------------------------------
**\r*/

/*\i******************** System Include Files *************************/
#include <windows.h>
#include <math.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>

/********************** Constant Include Files ************************/

/***************** External Variable Include Files ********************/

/***************** External Procedure Include Files *******************/
#include "pentium.h"
/*\i*/

/*\m********************** Module Constants ***************************/
/************************* Module Variables ***************************/

/************************* Module Procedures **************************/

/*\m*/

/*\p********************************************************************
**                                                                    **
    NAME:  WinMain

    PURPOSE:  to fire up the main application for fortune cookie

** By Matthew J. W. Ratcliff                                          **
**\p*******************************************************************/

static char *fcmSzAppname="FORTUNE";

int PASCAL WinMain( HANDLE pasInstance,
                    HANDLE pasPrevInstance,
                    LPSTR  , // pasCmdLine, - ignored
                    int    pasCmdShow )
{
/*********** Local Constant & Variable Declarations *******************/
double result;
char   pelMsg[420];
char   pelRes[2420];

/************************* Procedure Body *****************************/
result = calcPentium();

sprintf(pelRes,"The Peter Coffee Pentium Flaw Test\r\n\
(%6.lf / %6.lf) * %6.lf - %6.lf = ?\r\n",
         NUMER, DENER, DENER, NUMER );
if (result != (double)0.0)
  {
  sprintf(pelMsg, "Error: %lf result is NOT ZERO. Flawed floating point",
          result);
  }
else
  {
  sprintf(pelMsg, "*OK*: %lf result IS ZERO, this is NOT flawed floating point",
         result);
  }

strcat(pelRes,pelMsg);
MessageBox( NULL, pelRes,"DOS/Windows program by Matthew J. W. Ratcliff",
            MB_OK | (result == (double)0.0 ? MB_ICONASTERISK : MB_ICONSTOP));

return(FALSE);
} /* WinMain end */

